Page MenuHomePhabricator

Using the MediaWiki login to Phabricator on mobile, got a "No active login attempt is in progress for your session." error on CentralLogin
Open, Stalled, LowPublic

Description

On my 2013 Moto X running Android 4.4 and Chrome, I tried to log in to Phabricator, I think for the first time. On phabricator.wikimedia.org I clicked the [Login or Register MediaWiki] button, and after 8 attempts at the mediawiki.org Special:Login page (typnig on phone keygoard is hard) I successfully logged into mediawiki.org as "SPage (WMF)".
Upon doing so, the page
https://m.mediawiki.org/wiki/Special:CentralLogin/complete?token=a1cblahblah appeared displaying a confusing pink error message

Central user log in
No active login attempt is in progress for your session.

I don't know what this means. It's not helpful and I have no idea what to do next.
I expect to see the usual OAuth "phabricator-production would like to have basic access..." dialog.
I tried going to a random page on mw.org and that worked, but still no OAuth dialog.

I pressed the back button repeatedly and eventually the OAuth dialog appeared on top of a grayed out page. (The dialog was positioned off-screen, but that's a separate bug T95216.)

The situation sounds like T53789: Attempting to login on en.m.wikipedia.org in desktop browser shows warning: "No active login attempt is in progress for your session." but that's a complaint about mobile on desktop. There are other bugs in Phabricator mentioning this "No active login attempt is in progress for your session." message.


I had additional difficulty but it's probably unrelated. I spent time filing this bug report before clicking the OAuth [Allow] button. That resulted in a red warning in the OAuth dialog
Sorry something went wrong connecting this application. Go back and try to connect your account again, or contact the application author.
OAuth token not found, E004

Clicking [Allow] again displayed the same warning.

So I backed out all the way to the Phabricator login page, clicked it [Login or Register MediaWiki] button, got the OAuth dialog right away, clicked [Allow], and was back in Phabricator logged in. I think the moral is don't spend 15 minutes filing a bug report in the middle of trying to log in with OAuth :)

Event Timeline

Spage created this task.Apr 6 2015, 8:29 PM
Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2015, 8:29 PM
Nnemo added a subscriber: Nnemo.Apr 6 2015, 9:59 PM
Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.Apr 6 2015, 11:51 PM
jayvdb added a subscriber: jayvdb.Jun 21 2015, 8:01 AM
Restricted Application added a subscriber: scfc. · View Herald TranscriptJun 21 2015, 8:01 AM
Aklapper triaged this task as Low priority.Aug 21 2015, 11:11 PM

I have the same on my iPad - when the error is displayed, tap on 'desktop' at the bottom of the page, and it should now appear as expected.

I think the issue is that the oauth token timeout is very short - only a couple of minutes, if you don't get through the process quickly it's already timed out.

I disagree with mmodell - once the pink/red texts appears, if you tap on desktop at the bottom, it works fine, meaning it is an issue with the mobile version.

Does this still happen / can someone still reproduce? Asking because T201460 got fixed recently.

Aklapper changed the task status from Open to Stalled.Aug 30 2018, 1:49 PM
Aklapper added a project: TestMe.
Aklapper moved this task from To Triage to Infrastructure on the Phabricator board.